Skip to navigation

Update a special offer

View as Markdown
Update special offer details

Authentication

AuthorizationToken

Your API key, sent as Authorization: Token <your API key>

Path parameters

directoryIdstringRequiredformat: "uuid"
id of the directory
entryIdstringRequiredformat: "uuid"
id of the Partner entry
specialOfferIdstringRequiredformat: "uuid"
id of the Special Offer

Request

This endpoint expects an object.
titlestring or nullOptional1-255 characters
filestring or nullOptionalformat: "binary"
fileUrlstring or nullOptionalformat: "uri">=1 character
urlstring or nullOptionalformat: "uri">=1 character
orderintegerOptional>=0

Response

Successful operation
idstringformat: "uuid"
titlestring or nullOptional<=255 characters
filestring or nullOptional<=4000 characters
fileUrlstring or nullOptional
urlstring or nullOptionalformat: "uri"
orderintegerOptional>=0

Errors

404
Not Found Error